package com.heaton.bundles;
import java.util.*;

public class Forum extends ListResourceBundle {
  public Object[][] getContents() {
    return contents;
  }
  static final Object[][] contents = {
    {"lang.english", "English"},
    {"lang.spanish", "Spanish"},
    {"lang.chinese", "Chinese"},

    {"button.ok", "OK"},
    {"button.save", "Save"},
    {"button.add", "Add"},
    {"button.cancel", "Cancel"},
    {"button.login", "Login"},
    {"button.register", "Register"},

    {"word.welcome", "Welcome"},
    {"word.password", "Password"},
    {"word.continue", "Continue"},
    {"word.admin", "Administrator"},
    {"word.exit", "Exit"},
    {"word.action", "Action"},
    {"word.user", "User"},
    {"word.type", "Type"},
    {"word.edit", "Edit"},
    {"word.delete", "Delete"},
    {"word.register", "Register"},

    {"type.a","Admin User"},
    {"type.g","Guest User(can't post)"},
    {"type.r","Regular User"},

    {"login.name", "Login Name"},
    {"login.welcome","Welcome to the forum. Please login."},
    {"login.title","Login to Forum."},
    {"login.note","Note: use id of admin and password of admin on first use. "},
    {"login.badpw","Sorry, we have no one registered with that name."},


    {"reg.thanks","Thanks for joining the forum. Please choose a login name and a password. Please enter your password twice to verify."},
    {"reg.verify","Verify Password"},
    {"reg.needlogin","Must enter a login id!"},
    {"reg.needpw","Must enter a password!"},
    {"reg.badpw","Passwords do not match!"},

    {"welcome.id","Login ID"},
    {"welcome.times","Times on"},
    {"welcome.first","First Login"},
    {"welcome.last","Last Login"},
    {"welcome.failed","Failed Logins"},
    {"welcome.posted","Messages Posted"},
    {"welcome.type","User Type"},

    {"main.welcome","Select one of the following forums. Each form contains messages on the given topic."},
    {"main.please","Please select a forum."},
    {"main.forumdeleted","Forum Deleted."},

    {"admin.welcome1","From this screen you can edit forums, delete forums or create new forums."},
    {"admin.welcome2","You may also edit users."},
    {"admin.prompt","The following forums are available:"},
    {"admin.newforum","New Forum"},
    {"admin.editusers","Edit Users"},

    {"editforum.title","Edit Forum"},
    {"editforum.ins1","Forum code is a unique code for this forum."},
    {"editforum.ins2","Sequence number determines the order forums will list."},
    {"editforum.code","Forum Code"},
    {"editforum.name","Forum Name"},
    {"editforum.number","Sequence Number"},

    {"newforum.title","Add New Forum"},

    {"editusers.title","Edit Users"},
    {"editusers.ins","The following users exist in your forum."},
    {"editusers.deleted","User deleted."},

    {"edituser.title","User Editor"},
    {"edituser.ins","This page allows you to edit a user. The only attribute you can change is the user's type."},

    {"forum.none","No messages posted yet."},
    {"forum.post","Post a new message"},
    {"forum.from","From:"},
    {"forum.date","Date:"},
    {"forum.subject","Subject:"},

    {"post.ins","Posting to forum:"},
    {"post.title","Post Message"}

  };
}
