package com.heaton.forum;
import java.util.*;

/**
 * Example program from Chapter 11
 * JSTL: JSP Standard Template Library
 * Published by Sams Publishing
 *
 *
 * This class holds a single forum.
 *
 * @author Jeff Heaton(http://www.jeffheaton.com)
 * @version 1.0
 */

public class Forum {

  /**
   * The code that identifies this forum.
   */
  private String code;

  /**
   * The name of this forum
   */
  private String name;

  /**
   * The sequence number of this forum.
   * Forum sequence numbers are used to
   * determine the order that the forums are 
   * listed in.
   */
  private int sequence;

  public String getCode()
  {
    return this.code;
  }

  public void setCode(String code)
  {
    this.code = code.toUpperCase();
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String name)
  {
    this.name = name;
  }


  public int getSequence()
  {
    return this.sequence;
  }

  public void setSequence(int sequence)
  {
    this.sequence = sequence;
  }



}
