<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/core-rt" prefix="c-rt" %>
<%@ taglib uri="http://java.jeffheaton.com/taglib/jstl/forum" prefix="forum" %>

<forum:expire>
  <c:redirect url="index.jsp" />
</forum:expire>

<html>
  <head>
    <title><fmt:message key="word.welcome" bundle="${lang}"/>
    <c:out value="${user.id}" />
    </title>
  </head>

  <body link="#000000" vlink="#000000" alink="#000000">
  <forum:listForums var="list"/>

  <p><fmt:message key="main.welcome" bundle="${lang}"/></p>

  <table border="0" width="378">
    <tr>
      <td colspan="2" bgcolor="#0000FF" width="372">
      <b>
        <font size="4" color="#FFFFFF">
        <fmt:message key="main.please" bundle="${lang}"/></font>
      </b>

      .</td>
    </tr>

    <c:forEach var="row" items="${list}" varStatus="status">
      <jsp:useBean id="status"
      type="javax.servlet.jsp.jstl.core.LoopTagStatus" />

        <c-rt:choose>
          <c-rt:when test="<%=status.getCount()%2==0%>">
            <c:set var="color" value="#FFFFFF" />
          </c-rt:when>

          <c-rt:otherwise>
            <c:set var="color" value="#FFFF66" />
          </c-rt:otherwise>
        </c-rt:choose>      
      
      
      <tr bgcolor="<c:out value="${color}"/>">
      <td width="106">
        <c:url value="forum.jsp" var="sel">
          <c:param name="id" value="${row.code}" />
        </c:url>

        <a href="<c:out value="${sel}"/>">
        <c:out value="${row.code}" />
        </a>
      </td>

      <td width="262">
        <c:out value="${row.name}" />
      </td>
      </tr>
    </c:forEach>
  </table>

  &#160;
  <p>
    <c:if test="${user.type=='A'}">
      <a href="admin.jsp">[<fmt:message key="word.admin" bundle="${lang}"/>]</a>
    </c:if>
  </p>
  </body>
</html>

