<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/core-rt" prefix="c-rt" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt-rt" prefix="fmt-rt" %>
<%@ taglib uri="http://java.jeffheaton.com/taglib/jstl/forum" prefix="forum" %>

<forum:expire>
  <c:redirect url="index.jsp" />
</forum:expire>
<html>
  <head>
    <title><fmt:message key="word.welcome" bundle="${lang}"/></title>
  </head>

  <body link="#000000" vlink="#000000" alink="#000000">


      <table border="0" style="border-collapse: collapse"
      bordercolor="#111111" cellpadding="0" cellspacing="0">
        <tbody>
          <tr>
            <td bgcolor="#0000FF" colspan="2">
              <b>
                <font color="#FFFFFF"><fmt:message key="word.welcome" bundle="${lang}"/> 
                <c:out value="${userID}" />
                </font>
              </b>

              <font color="#FFFFFF">&#160;</font>
            </td>
          </tr>

          <tr>
            <td bgcolor="#FFFF66"><b>
            <fmt:message key="login.name" bundle="${lang}"/></b></td>

            <td bgcolor="#FFFF66">
              <c:out value="${user.id}" />
            </td>
          </tr>

          <tr>
            <td bgcolor="#FFFFFF"><b><fmt:message key="welcome.times" bundle="${lang}"/></b></td>

            <td>
              <c:out value="${user.accesses}" />
            </td>
          </tr>

          <tr>
            <td bgcolor="#FFFF66"><b><fmt:message key="welcome.first" bundle="${lang}"/></b></td>

            <td bgcolor="#FFFF66">
              <fmt:formatDate value="${user.first}" />
            </td>
          </tr>

          <tr>
            <td bgcolor="#FFFFFF"><b><fmt:message key="welcome.last" bundle="${lang}"/></b></td>

            <td>
              <fmt:formatDate value="${user.last}" />
            </td>
          </tr>

          <tr>
            <td bgcolor="#FFFF66"><b><fmt:message key="welcome.failed" bundle="${lang}"/></b></td>

            <td bgcolor="#FFFF66">
              <c:out value="${user.bad}" />
            </td>
          </tr>

          <tr>
            <td><b><fmt:message key="welcome.posted" bundle="${lang}"/>&nbsp;&nbsp;</b></td>

            <td>
              <c:out value="${user.posted}" />
            </td>
          </tr>

          <tr>
            <td bordercolor="#000000" bgcolor="#FFFF66"><b>
            <fmt:message key="welcome.type" bundle="${lang}"/></b></td>

            <td bgcolor="#FFFF66">
              <c:out value="${user.type}" />
            </td>
          </tr>
        </tbody>
      </table>

    <br />

    <a href="main.jsp">[<fmt:message key="word.continue" bundle="${lang}"/>]</a>
  </body>
</html>